List Invoices
GET
https://bank.dattaremit.com/api/invoicesRequires a bank-scoped key.
Retrieves a list of invoices. Records are sorted by creation date in descending order.
Required scope: invoices:read
Query Params
pageintegerThe page index to retrieve.
per_pageintegerThe number of entities per page to return.
guidstringComma separated guids to list invoices for.
bank_guidstringComma separated bank_guids to list invoices for.
customer_guidstringComma separated customer_guids to list invoices for.
account_guidstringComma separated account_guids to list invoices for.
statestringComma separated states to list invoices for.
assetstringComma separated assets to list invoices for.
environmentenumOne of: sandbox, production
labelstringComma separated labels to list invoices for.
Responses
200get list of invoices
400Invalid requests
401Unauthorized - Authentication failed
403Invalid scope
Request
curl https://api.dattaremit.com/api/invoices \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
get list of invoices
{
"total": 1,
"page": 1,
"per_page": 1,
"objects": [
{
"guid": "string",
"customer_guid": "string",
"account_guid": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"type": "string",
"asset": "string",
"receive_amount": 1,
"deliver_amount": 1,
"fee": 1,
"state": "string",
"labels": [
"string"
]
}
]
}